com.creamtec.ajaxswing.gui

## Class AjaxSwingVolatileImage

- java.lang.Object
- - java.awt.Image
  - - java.awt.image.VolatileImage
    - - com.creamtec.ajaxswing.gui.AjaxSwingVolatileImage

- All Implemented Interfaces:
    java.awt.Transparency, sun.awt.image.PublicManageable

      public class AjaxSwingVolatileImage
      extends java.awt.image.VolatileImage
      implements sun.awt.image.PublicManageable

  This class is needed because platform VolatileImage implementation casts graphics config to platform config which results in exception

- - ### Field Summary

    - ### Fields inherited from class java.awt.image.VolatileImage

      `IMAGE_INCOMPATIBLE, IMAGE_OK, IMAGE_RESTORED`

    - ### Fields inherited from class java.awt.Image

      `SCALE_AREA_AVERAGING, SCALE_DEFAULT, SCALE_FAST, SCALE_REPLICATE, SCALE_SMOOTH, UndefinedProperty`

    - ### Fields inherited from interface java.awt.Transparency

      `BITMASK, OPAQUE, TRANSLUCENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingVolatileImage(AjaxSwingGraphicsConfig graphicsConfig, int w, int h)`
    `AjaxSwingVolatileImage(AjaxSwingGraphicsConfig graphicsConfig, int w, int h, int transparency)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contentsLost()`
    `java.awt.Graphics2D` | `createGraphics()`
    `java.awt.ImageCapabilities` | `getCapabilities()`
    `int` | `getHeight()`
    `int` | `getHeight(java.awt.image.ImageObserver observer)`
    `java.lang.Object` | `getProperty(java.lang.String name, java.awt.image.ImageObserver observer)`
    `java.awt.image.BufferedImage` | `getSnapshot()`
    `sun.awt.image.SurfaceManager` | `getSurfaceManager()`
    `int` | `getWidth()`
    `int` | `getWidth(java.awt.image.ImageObserver observer)`
    `int` | `validate(java.awt.GraphicsConfiguration gc)`

    - ### Methods inherited from class java.awt.image.VolatileImage

      `getGraphics, getSource, getTransparency`

    - ### Methods inherited from class java.awt.Image

      `flush, getAccelerationPriority, getCapabilities, getScaledInstance, setAccelerationPriority`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingVolatileImage

          public AjaxSwingVolatileImage(AjaxSwingGraphicsConfig graphicsConfig,
                                int w,
                                int h)

    - #### AjaxSwingVolatileImage

          public AjaxSwingVolatileImage(AjaxSwingGraphicsConfig graphicsConfig,
                                int w,
                                int h,
                                int transparency)

  - ### Method Detail

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name,
                                     java.awt.image.ImageObserver observer)

      Specified by:
        `getProperty` in class `java.awt.Image`

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in class `java.awt.image.VolatileImage`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in class `java.awt.image.VolatileImage`

    - #### getHeight

          public int getHeight(java.awt.image.ImageObserver observer)

      Specified by:
        `getHeight` in class `java.awt.Image`

    - #### getWidth

          public int getWidth(java.awt.image.ImageObserver observer)

      Specified by:
        `getWidth` in class `java.awt.Image`

    - #### createGraphics

          public java.awt.Graphics2D createGraphics()

      Specified by:
        `createGraphics` in class `java.awt.image.VolatileImage`

    - #### contentsLost

          public boolean contentsLost()

      Specified by:
        `contentsLost` in class `java.awt.image.VolatileImage`

    - #### validate

          public int validate(java.awt.GraphicsConfiguration gc)

      Specified by:
        `validate` in class `java.awt.image.VolatileImage`

    - #### getSnapshot

          public java.awt.image.BufferedImage getSnapshot()

      Specified by:
        `getSnapshot` in class `java.awt.image.VolatileImage`

    - #### getCapabilities

          public java.awt.ImageCapabilities getCapabilities()

      Specified by:
        `getCapabilities` in class `java.awt.image.VolatileImage`

    - #### getSurfaceManager

          public sun.awt.image.SurfaceManager getSurfaceManager()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.